package org.dromara.system.service;

import org.dromara.system.domain.bo.FacPageBo;
import org.dromara.system.domain.vo.FacilitiesVo;
import org.dromara.system.domain.bo.FacilitiesBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-12-16
 */
public interface IFacilitiesService {

    /**
     * 查询【请填写功能名称】
     */
    FacilitiesVo queryById(String facilitiesId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<FacilitiesVo> queryPageList(FacilitiesBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<FacilitiesVo> queryList(FacilitiesBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(FacilitiesBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(FacilitiesBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    TableDataInfo<FacilitiesVo> queryPageListByWeixin(FacPageBo bo, PageQuery pageQuery);
}
